## iperf 1.7.0

=== Makefile ===
##################################################
# Makefile
# iperf top level
#
# by Mark Gates <mgates@nlanr.net>
# October 1999
# $Id: Makefile,v 1.6 2003/03/12 20:57:31 kgibbs Exp $

SHELL = /bin/sh

TOP = .

##################################################
# files

LIBRARY        = lib/libdast.a

PROG           = iperf

JAR_FILE       = jperf.jar

CONFIG_FILES   = Makefile.rules cfg/config.h cfg/configure
PLATFORM = `./cfg/config.guess`

##################################################
# targets
#
# all       -- compile library and iperf program
# config    -- run autoconf script
# clean     -- remove all compiled object files
# depend    -- create dependency files
# distclean -- remove most files that can be generated
# install   -- compile and install library and headers
# tar       -- tar up the directory, skipping machine specific files
#

all: $(LIBRARY) $(PROG)

foo: 
	@echo $(PLATFORM)
	UNAME = `uname -a`
	@echo $(UNAME)

clean:
	@echo ; (cd cfg  ; make clean)
	@echo ; (cd lib  ; make clean)
	@echo ; (cd src  ; make clean)

config:
	@echo ; (cd cfg  ; make all)

depend:
	@echo ; (cd lib  ; make depend)
	@echo ; (cd src  ; make depend)

distclean:
	@echo ; (cd cfg  ; make distclean)
	@echo ; (cd lib  ; make distclean)
	@echo ; (cd src  ; make distclean)

install: $(PROG)
	@echo
	@echo "Where should the iperf binary be installed? [/usr/local/bin]"
	@read  INSTALL_DIR;                                                 \
	export INSTALL_DIR;                                                 \
	INSTALL_DIR=`echo $$INSTALL_DIR | perl -p -e 's/~/$$ENV{"HOME"}/'`; \
	if test -z "$$INSTALL_DIR"; then                                    \
	  INSTALL_DIR=/usr/local/bin;                                       \
	fi;                                                                 \
	echo ; (cd src  ; make install); 

bindist: all
	@PLATFORM=`./cfg/config.guess`;         \
	FILE=iperf-$(VERSION)-$$PLATFORM.tar;   \
	( tar -cvf $$FILE iperf doc README KNOWN_PROBLEMS;  \
	  gzip $$FILE;                          \
	  echo Saved at $$FILE.gz;              \
	);
tar:
	@echo
	@DIR=`pwd | sed 's|^.*/||'`;                                      \
	DIRV=$$DIR-$(VERSION);                                            \
	( cd ..;                                                          \
	  mv $$DIR $$DIRV;                                                \
	  tar --exclude-from $$DIRV/.tar.excludes -cvf $$DIRV.tar $$DIRV; \
	  gzip $$DIRV.tar;                                                \
	  mv $$DIRV $$DIR;                                                \
	);                                                                \
	if test -w RELEASES/source/ ; then                                \
		mv -i ../$$DIRV.tar.gz RELEASES/source/;                        \
		echo Saved in RELEASES/source/$$DIRV.tar.gz;                    \
	else                                                              \
		mv -i ../$$DIRV.tar.gz .;                                       \
		echo Saved in $$DIRV.tar.gz;                                    \
	fi

.PHONY: all config clean depend distclean install tar

##################################################
# build specific files

$(LIBRARY):
	-rm -f $(LIBRARY)
	@echo ; (cd lib  ; make all)

$(PROG):
	-rm -f $(PROG)
	@echo ; (cd src  ; make all)

Makefile.rules: Makefile.rules.in
	make config

cfg/configure: cfg/configure.in cfg/dast.m4
	make config

# The configure script won't update config.h if it doesn't
# changed, so remove config.h first to force rebuilding it.
cfg/config.h: cfg/config.h.in
	-rm -f cfg/config.h
	make config

# Version info maintained in VERSION, but we want to
# compile it into iperf, so create a header file too.
include VERSION

src/version.h: VERSION
	@echo Update version information to $(VERSION), $(VERSION_DATE)
	@echo \#define IPERF_VERSION \"$(VERSION)\" > .ver
	@echo \#define IPERF_VERSION_DATE \"$(VERSION_DATE)\" >> .ver
	@mv -f .ver $@

# some versions of make apparently can't handle expanding
# wildcards like lib/*.[ch] lib/*.[ch]pp

$(LIBRARY): $(CONFIG_FILES) \
	lib/Condition.hpp         \
	lib/Mutex.hpp             \
	lib/Socket.cpp            \
	lib/Socket.hpp            \
	lib/SocketAddr.cpp        \
	lib/SocketAddr.hpp        \
	lib/Thread.cpp            \
	lib/Thread.hpp            \
	lib/Timestamp.hpp         \
	lib/delay.cpp             \
	lib/delay.hpp             \
	lib/error.c               \
	lib/gettimeofday.c        \
	lib/gettimeofday.h        \
	lib/gnu_getopt.c          \
	lib/gnu_getopt.h          \
	lib/gnu_getopt_long.c     \
	lib/headers.h             \
	lib/inet_pton.c           \
	lib/inet_ntop.c           \
	lib/inet_aton.h           \
	lib/signal.c              \
	lib/snprintf.c            \
	lib/snprintf.h            \
	lib/sockets.c             \
	lib/stdio.c               \
	lib/string.c              \
	lib/tcp_window_size.c     \
	lib/util.h

$(PROG): $(LIBRARY)               \
	$(CONFIG_FILES)           \
	src/Client.cpp            \
	src/Client.hpp            \
	src/Extractor.cpp         \
	src/Extractor.hpp         \
	src/Listener.cpp          \
	src/Listener.hpp          \
	src/Locale.hpp            \
	src/PerfSocket.cpp        \
	src/PerfSocket.hpp        \
	src/PerfSocket_TCP.cpp    \
	src/PerfSocket_UDP.cpp    \
	src/Server.cpp            \
	src/Server.hpp            \
	src/Settings.cpp          \
	src/Settings.hpp          \
	src/Speaker.cpp           \
	src/Speaker.hpp           \
	src/Notify.cpp            \
	src/Notify.hpp            \
	src/Audience.cpp          \
	src/Audience.hpp          \
	src/List.cpp              \
	src/List.h                \
	src/main.cpp              \
	src/version.h

## iperf 2.0.4-1maemo5-0.2

=== debian/changelog ===
iperf (2.0.4-1maemo5-0.2) freemantle; urgency=low
  First maemo5 package.
 -- Darren Long <darren.long@mac.com>  Wed, 16 Dec 2009 19:36:00 +0000

iperf (2.0.4-1) unstable; urgency=low

  * New upstream version. (closes: #480000)
  * Deleted performance problem patch, it is now fixed upstream.
  * Deleted debian specific manpage, the package has one now. Fix several
    hyphen-used-as-minus-sign in the new manpage. Add lintian overrides as
    it still thinks there are hyphens used as minus sign but there are not.
  * Fix bw-header being printed each time.
  * The following bugs are also fixed now: (closes: #356448, #400662, #353037)

 -- Roberto Lumbreras <rover@debian.org>  Thu, 08 May 2008 00:45:51 +0200

iperf (2.0.2-4) unstable; urgency=low

  * Reverted patch to fix bug #431366; added proper patch for performance
    problem with kernels using CFS (>= 2.6.23) (closes: #444277).
  * debian/rules: using simple-patchsys from cdbs.
  * Standards 3.7.3 (no changes).
  * doc-base: changed section to Network/Monitoring section.

 -- Roberto Lumbreras <rover@debian.org>  Tue, 18 Mar 2008 09:12:52 +0100

iperf (2.0.2-3) unstable; urgency=low

  * Added patch to fix poor performance with >= 2.6.21 kernels
   (closes: #431666).
  * Fix -t: cast to max_size_t instead of int (closes: #346099).
    Updated auto-makefiles and autoconf.
  * debian/rules: now using cdbs.

 -- Roberto Lumbreras <rover@debian.org>  Tue, 17 Jul 2007 15:16:00 +0200

iperf (2.0.2-2) unstable; urgency=low

  * Add PTHREAD_LIBS to iperf_LDADD and regenerate configure, hopefully
    will fix #314383: FTBFS on hurd-i386.
  * Updated standards (no changes).

 -- Roberto Lumbreras <rover@debian.org>  Fri, 12 May 2006 16:49:36 +0200

iperf (2.0.2-1) unstable; urgency=low

  * New upstream version (closes: #312300).

 -- Roberto Lumbreras <rover@debian.org>  Tue, 07 Jun 2005 16:42:55 +0200

iperf (2.0.1-1) unstable; urgency=low

  * New upstream version.
  * Added watch file.
  * Updated standards.

 -- Roberto Lumbreras <rover@debian.org>  Fri, 04 Feb 2005 02:38:36 +0100

iperf (1.7.0-1) unstable; urgency=low

  * New upstream version.
  * Use config.sub and config.guess symlinks from autotools-dev
    (closes: #190015, #189673).
  * Changed short description (closes: #188476).

 -- Roberto Lumbreras <rover@debian.org>  Tue, 22 Apr 2003 01:48:12 +0200

iperf (1.6.5-1) unstable; urgency=low

  * Initial Release (closes: #186418).
  * Do not include getopt functions in libdast (they are provided by libc6).
  * Send --help and --version outputs to stdout and exit success, to make
    help2man happy (GNU standards, see bug #138752).

 -- Roberto Lumbreras <rover@debian.org>  Fri, 28 Mar 2003 19:07:09 +0100

=== debian/control ===
Source: iperf
Section: net
Priority: optional
Maintainer: Roberto Lumbreras <rover@debian.org>
Build-Depends: cdbs, debhelper (>= 5), autotools-dev, patchutils
Standards-Version: 3.7.3

Package: iperf
Architecture: any
Depends: ${shlibs:Depends} ${misc:Depends}
Description: Internet Protocol bandwidth measuring tool
 Iperf is a modern alternative for measuring TCP and UDP bandwidth performance,
 allowing the tuning of various parameters and characteristics.
 .
 Features:
    * Measure bandwidth, packet loss, delay jitter
    * Report MSS/MTU size and observed read sizes.
    * Support for TCP window size via socket buffers.
    * Multi-threaded. Client and server can have multiple simultaneous
      connections.
    * Client can create UDP streams of specified bandwidth.
    * Multicast and IPv6 capable.
    * Options can be specified with K (kilo-) and M (mega-) suffices.
    * Can run for specified time, rather than a set amount of data to transfer.
    * Picks the best units for the size of data being reported.
    * Server handles multiple connections.
    * Print periodic, intermediate bandwidth, jitter, and loss reports at
      specified intervals.
    * Server can be run as a daemon.
    * Use representative streams to test out how link layer compression affects
      your achievable bandwidth.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

makebuilddir::
	rm -f config.sub config.guess config.h
	ln -s /usr/share/misc/config.sub config.sub
	ln -s /usr/share/misc/config.guess config.guess

clean::
	rm -f config.sub config.guess config.h

## iperf 2.0.5

=== debian/changelog ===
iperf (2.0.5-3) unstable; urgency=low

  * ACK NMU.
  * Fix improper check for IPv6 family when sending multicast
    (Closes: #674288).
  * Updated standards.

 -- Roberto Lumbreras <rover@debian.org>  Thu, 24 May 2012 19:00:01 +0200

iperf (2.0.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS -Werror=format-security (Closes: #643408) 

 -- Simon Paillard <spaillard@debian.org>  Tue, 15 Nov 2011 19:42:14 +0100

iperf (2.0.5-2) unstable; urgency=low

  * Fix server mode exiting after TCP bidirectional test.

 -- Roberto Lumbreras <rover@debian.org>  Sat, 08 Jan 2011 21:24:28 +0100

iperf (2.0.5-1) unstable; urgency=low

  * New upstream version.
  * Updated standards.
  * Deleted patches merged by upstream:
    000-Iperf_Fix-CPU-Usage.diff
    004-svn-r43-ro.patch
    006-iperf-die-on-connect-fail.patch
  * Dropped probably unnecesary patches:
    008-numofreport.patch
    009-delayloop.patch
  * Fix 'recieve' spelling-error-in-binary (lintian).

 -- Roberto Lumbreras <rover@debian.org>  Sun, 26 Dec 2010 16:29:07 +0100

iperf (2.0.4-5) unstable; urgency=low

  * Fix deadlock while acting as server with multiple clients (thanks Kirby
  Zhou). Add patches: 007-iperf-reporter-deadlock, 008-numofreport,
  009-delayloop, modify 004-svn-r43.patch deleting the nanonsleep() bits.
  (Closes: #533592)

 -- Roberto Lumbreras <rover@debian.org>  Mon, 06 Jul 2009 12:32:03 +0200

iperf (2.0.4-4) unstable; urgency=low

  * Die instead of warn on bind/connect fatal errors (thanks to Deny IP Any
    Any). (closes: #517239, #518033)
  * Add missing comma after ${shlibs:Depends} in the control file. Add
    Homepage in control file. (thanks to lintian).

 -- Roberto Lumbreras <rover@debian.org>  Wed, 04 Mar 2009 12:46:12 +0100

iperf (2.0.4-3) unstable; urgency=low

  * Merged in svn r43 including the following changes:
     - print report headers only once
       ==> drop debian/patches/002-*.patch doing the same.
     - replace costly gettimeofday() with nanosleep()
       ==> should lower the CPU usage in UDP mode.
  * Re-added the Ingo Molnar patch changing thread_rest for Condition_Wait.
  * With these two patches the 100% cpu usage in UDP mode is fixed.
    (closes: #496865)

 -- Roberto Lumbreras <rover@debian.org>  Thu, 28 Aug 2008 16:17:46 +0200

iperf (2.0.4-2) unstable; urgency=low

  * Updated standards. Set debhelper compatibility level to 7.
  * iperf.1: fix minus/hyphen issues.

 -- Roberto Lumbreras <rover@debian.org>  Thu, 21 Aug 2008 00:38:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: net
 Priority: optional
 Maintainer: Roberto Lumbreras <rover@debian.org>
-Build-Depends: cdbs, debhelper (>= 5), autotools-dev, patchutils
-Standards-Version: 3.7.3
+Build-Depends: cdbs, debhelper (>= 7), autotools-dev, patchutils
+Standards-Version: 3.9.3
+Homepage: http://iperf.sourceforge.net/
 
 Package: iperf
 Architecture: any
-Depends: ${shlibs:Depends} ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Internet Protocol bandwidth measuring tool
  Iperf is a modern alternative for measuring TCP and UDP bandwidth performance,
  allowing the tuning of various parameters and characteristics.

=== debian/watch ===
version=3
http://sf.net/iperf/iperf-?_?([\w+\d+\.]+|\d+)(?:\.tar|\.tgz)(?:\.gz|\.bz2|)

## iperf 2.0.5%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: iperf
 Section: net
 Priority: optional
-Maintainer: Roberto Lumbreras <rover@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), autotools-dev, patchutils
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Roberto Lumbreras <rover@debian.org>
+Build-Depends: cdbs, debhelper (>= 9), autotools-dev, patchutils
+Standards-Version: 3.9.5
 Homepage: http://iperf.sourceforge.net/
 
 Package: iperf

## iperf 2.0.5+dfsg1

=== debian/changelog ===
iperf (2.0.5+dfsg1-2) unstable; urgency=low

  * Fix hardening building.

 -- Roberto Lumbreras <rover@debian.org>  Tue, 15 Jul 2014 08:29:54 +0200

iperf (2.0.5+dfsg1-1) unstable; urgency=low

  * Repackaged tarball to delete */service.[ch] (unused) files with
    restrictive copyright.
  * Machine readable debian/copyright.
  * Updated standards.
  * Fix 100% CPU consumption bug in daemon mode.
  * Set traffic class for IPv6.

 -- Roberto Lumbreras <rover@debian.org>  Sun, 13 Jul 2014 23:56:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: iperf
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Roberto Lumbreras <rover@debian.org>
+Maintainer: Roberto Lumbreras <rover@debian.org>
 Build-Depends: cdbs, debhelper (>= 9), autotools-dev, patchutils
 Standards-Version: 3.9.5
 Homepage: http://iperf.sourceforge.net/

=== debian/watch ===
version=3
opts="uversionmangle=s/b\d$//,dversionmangle=s/\+dfsg\d*$//" \
    http://sf.net/iperf/iperf-?_?([\w+\d+\.]+|\d+)(?:\.tar|\.tgz)(?:\.gz|\.bz2|)

## iperf 2.0.9+dfsg1

=== debian/changelog ===
iperf (2.0.9+dfsg1-1) unstable; urgency=low

  * New upstream version, including fix for FTBFS with gcc 6. (Closes: #831180)
  * Updated standards.
  * Updated homepage and watch file.

 -- Roberto Lumbreras <rover@debian.org>  Fri, 15 Jul 2016 13:05:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Roberto Lumbreras <rover@debian.org>
 Build-Depends: cdbs, debhelper (>= 9), autotools-dev, patchutils
-Standards-Version: 3.9.5
-Homepage: http://iperf.sourceforge.net/
+Standards-Version: 3.9.8
+Homepage: https://sourceforge.net/projects/iperf2/
 
 Package: iperf
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/dpkg/buildflags.mk

## iperf 2.0.10+dfsg1

=== debian/changelog ===
iperf (2.0.10+dfsg1-1ubuntu0.18.04.2) bionic; urgency=medium

  * Add backlog_increase.patch to fix hangs and connection resets
    with high thread count. LP: #1832399.
  * Add signal_bug.patch to fix issue with the server not exiting
    via SIGINT. LP: #1832401.

 -- dann frazier <dann.frazier@canonical.com>  Mon, 17 Jun 2019 13:16:49 -0600

iperf (2.0.10+dfsg1-1ubuntu0.18.04.1) bionic; urgency=medium

  * fix for: iperf2 long time run on 40Gb/s NIC crashes (LP: #1771283)

 -- Manoj Iyer <manoj.iyer@canonical.com>  Tue, 05 Jun 2018 11:48:25 -0500

iperf (2.0.10+dfsg1-1) unstable; urgency=low

  * New upstream version.
  * Fixed homepage in copyright file.
  * Updated standards.

 -- Roberto Lumbreras <rover@debian.org>  Thu, 17 Aug 2017 17:08:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: iperf
 Section: net
 Priority: optional
-Maintainer: Roberto Lumbreras <rover@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Roberto Lumbreras <rover@debian.org>
 Build-Depends: cdbs, debhelper (>= 9), autotools-dev, patchutils
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://sourceforge.net/projects/iperf2/
 
 Package: iperf

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/dpkg/buildflags.mk

## iperf 2.0.12+dfsg1

=== debian/changelog ===
iperf (2.0.12+dfsg1-2) unstable; urgency=low

  * Fix compilation on kfreebsd-amd64.

 -- Roberto Lumbreras <rover@debian.org>  Fri, 13 Jul 2018 08:48:41 +0200

iperf (2.0.12+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Updated standards.

 -- Roberto Lumbreras <rover@debian.org>  Thu, 12 Jul 2018 21:18:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: iperf
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Roberto Lumbreras <rover@debian.org>
-Build-Depends: cdbs, debhelper (>= 9), autotools-dev, patchutils
-Standards-Version: 4.0.0
+Maintainer: Roberto Lumbreras <rover@debian.org>
+Build-Depends: cdbs, debhelper (>= 10), patchutils
+Standards-Version: 4.1.5
 Homepage: https://sourceforge.net/projects/iperf2/
 
 Package: iperf

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,3 @@
 include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/dpkg/buildflags.mk
-

## iperf 2.0.13+dfsg1

=== debian/changelog ===
iperf (2.0.13+dfsg1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:44:24 +0100

iperf (2.0.13+dfsg1-1) unstable; urgency=low

  * New upstream version. (Closes: #930386, #930390)
  * Updated standards.
  * Use upstream fix for compilation on kfreebsd-amd64.
  * Use only debhelper, compat 11.
  * Fix building without -g flag.
  * Updated debian/copyright.

 -- Roberto Lumbreras <rover@debian.org>  Sat, 15 Jun 2019 23:18:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Roberto Lumbreras <rover@debian.org>
-Build-Depends: cdbs, debhelper (>= 10), patchutils
-Standards-Version: 4.1.5
+Build-Depends: debhelper (>= 12)
+Standards-Version: 4.3.0
 Homepage: https://sourceforge.net/projects/iperf2/
 
 Package: iperf

=== debian/watch ===
version=3
opts="uversionmangle=s/b\d$//,dversionmangle=s/\+dfsg\d*$//" \
    http://sf.net/iperf2/iperf-?_?([\w+\d+\.]+|\d+)(?:\.tar|\.tgz)(?:\.gz|\.bz2|)

## iperf 2.0.14a+dfsg1

=== debian/changelog ===
iperf (2.0.14a+dfsg1-1) unstable; urgency=medium

  * New upstream version.
  * Updated standards.

 -- Roberto Lumbreras <rover@debian.org>  Sun, 04 Oct 2020 17:35:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: net
 Priority: optional
 Maintainer: Roberto Lumbreras <rover@debian.org>
-Build-Depends: debhelper (>= 12)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Homepage: https://sourceforge.net/projects/iperf2/
+Rules-Requires-Root: no
 
 Package: iperf
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
override_dh_auto_configure:
	dh_auto_configure -- --enable-fastsampling
%:
	dh $@

## iperf 2.1.2+dfsg1

=== debian/changelog ===
iperf (2.1.2+dfsg1-1) unstable; urgency=low

  * New upstream version. (Closes: #983201)
  * Updated standards.
  * Add ufw profile. (Closes: #990045)
  * Old bugs fixed by this / previous versions:
    (Closes: #776282, #760590, #759225, #965974, #687424, #267592)

 -- Roberto Lumbreras <rover@debian.org>  Sat, 26 Jun 2021 13:06:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Roberto Lumbreras <rover@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://sourceforge.net/projects/iperf2/
 Rules-Requires-Root: no

## iperf 2.1.5+dfsg1

=== debian/changelog ===
iperf (2.1.5+dfsg1-1) unstable; urgency=low

  * New upstream version.
  * Updated standards.

 -- Roberto Lumbreras <rover@debian.org>  Fri, 10 Dec 2021 00:47:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Roberto Lumbreras <rover@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://sourceforge.net/projects/iperf2/
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="uversionmangle=s/b\d$//,dversionmangle=s/\+dfsg\d*$//" \
    http://sf.net/iperf2/iperf-?_?([\w+\d+\.]+|\d+)(?:\.tar|\.tgz)(?:\.gz|\.bz2|)

## iperf 2.1.7+dfsg1

=== debian/changelog ===
iperf (2.1.7+dfsg1-1) unstable; urgency=low

  * New upstream version.

 -- Roberto Lumbreras <rover@debian.org>  Wed, 27 Apr 2022 17:00:23 +0200

## iperf 2.1.8+dfsg

=== debian/changelog ===
iperf (2.1.8+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Updated standards.

 -- Roberto Lumbreras <rover@debian.org>  Wed, 04 Jan 2023 12:07:46 +0100

## iperf 2.1.9+dfsg

=== debian/changelog ===
iperf (2.1.9+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Closes: #1028318

 -- Roberto Lumbreras <rover@debian.org>  Sun, 28 May 2023 11:08:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Roberto Lumbreras <rover@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://sourceforge.net/projects/iperf2/
 Rules-Requires-Root: no

## iperf 2.2.0+dfsg

=== debian/changelog ===
iperf (2.2.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Updated standards.

 -- Roberto Lumbreras <rover@debian.org>  Mon, 27 May 2024 16:50:00 +0200

## iperf 2.2.1+dfsg

=== debian/changelog ===
iperf (2.2.1+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Roberto Lumbreras <rover@debian.org>  Fri, 27 Dec 2024 13:59:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Roberto Lumbreras <rover@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://sourceforge.net/projects/iperf2/
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,4 @@
 	dh_auto_configure -- --enable-fastsampling
 %:
 	dh $@
+override_dh_auto_test:
